namespace RebootKit.Engine.Network {
    public interface ISerializableEntity {
        int GetMaxBytes();
        
        void Serialize(NetworkBufferWriter writer);
        void Deserialize(NetworkBufferReader reader);

    }
}